#include "Fl_Smart_Choice.h"
#include <FL/Fl.H>
#include <FL/fl_draw.H>
#include <stdio.h>  // debug only

/******************************************************************************/

Fl_Smart_Choice::Fl_Smart_Choice(int X, int Y, int W, int H, const char *L) : Fl_Choice(X, Y, W, H, L)
{
}

/******************************************************************************/

Fl_Smart_Choice::~Fl_Smart_Choice()
{
}

/******************************************************************************/

int Fl_Smart_Choice::handle(int e)
{
	switch(e)
	{
		case FL_TOOLTIP:
			printf("Fl_Smart_Choice(%s): FL_TOOLTIP\n", label());
			if(text())
			{
				fl_font(textfont(), textsize());

				int tw = 0;
				int th = 0;

				fl_measure(text(), tw, th, 1);

				int ww = w() - Fl::box_dw(box()) - (h() > 20 ? 20 : h());

				if(tw > ww)			// item's text is longer than we are wide
					tooltip(text());
				else				// item's text fits nicely in our width
					tooltip(0);


				return 1;
			}
			return 0;

		default:
			;
	}

	return Fl_Choice::handle(e);
}

/******************************************************************************/
