#include "MyGroup.h"
#include <time.h>
#include <stdio.h>  // debug only

/******************************************************************************/

MyGroup::MyGroup(int X, int Y, int W, int H, const char *L) : Fl_Group(X, Y, W, H, L)
{
}

/******************************************************************************/

MyGroup::~MyGroup()
{
}

/******************************************************************************/

int MyGroup::handle(int e)
{
	switch(e)
	{
		case FL_TOOLTIP:
			printf("MyGroup(%s): FL_TOOLTIP\n", label());

			time_t now;
			time(&now);

			if(ctime_r(&now, buf))
			{
				// Technically if buf is set in the ctor, no need to set it for
				// each FL_TOOLTIP since address of buf never changes, only it's content
				// AND tooltip() does not make a local copy.
				tooltip(buf);
			}
			else // error?
				tooltip("Error getting date and time");

			return 1;

		default:
			;
	}

	return Fl_Group::handle(e);
}

/******************************************************************************/
